import ImageViewModal from '../../../../../@rbc/invoice/src/components/image-view-modal/image-view-modal.vue'
export default {
  execute: function (context, param) {
    if (!param.imageId) {
      context.dom.$Message.info("查看影像按钮尚未配置按钮参数");
      return;
    }
    const imageId = context.selects[0][param.imageId]
    const yearFlag = context.selects[0][param.yearFlag]
    
    GMS.$hideContainer.addComponent(ImageViewModal, {}, function (c) {
      c.yearFlag = yearFlag
      c.imageId = imageId
    })
    // if (param) {
    //   GMS.$hideContainer.addComponent(ImageViewModal, {}, function (c) {
    //     c.billId = bill.getMasterData().getValue('id');
    //   })
    // } else {
    //   GAMS.Common.messagePrompt('缺少参数')
    // }
  }
}